/*
 * wrpEncrypt.java
 *
 * Created on December 30, 2004, 11:06 AM
 */

/**
 * Another example of how to extend the <b>wrpSampler</b> class
 * to easily build simple Java GUI applications.
 * This program does a simple encryption operation.
 *
 * @author  Bill Pringle
 *
 * @see wrpSampler
 * @see wrpCharCount
 * @see wrpWordCount
 *
 */
public class wrpEncrypt extends wrpSampler {
    protected String clearText = new String("abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789.,/[]{}()'");
    int maxLen = clearText.length(); // used to shift characters

    /** Creates a new instance of wrpEncrypt */
    public wrpEncrypt() {
    }
    
    public void initValues()
    {
        programName = new String("Simple Encryption Program");
        helpText = new String("Enter text to be encrypted in upper area, then click 'Proceed'");
    }

    public void processData()
    {
        String txt = getTopText(); // what the user entered
        int len = txt.length(); // length of input string
        StringBuffer sb = new StringBuffer();
        // loop through input string and shift all characters one position
        for (int i=0; i< len; i++)
        {
            char c = txt.charAt(i); // get character
            sb.append(encryptChar(c));
        }
        setBottomText(sb.toString());
    }
    
    public char encryptChar(char c)
    { // return encrypted character for c
        int ndx = clearText.indexOf(c); // find character in list of characters to translate
        char d = clearText.charAt((ndx+1)%maxLen);
        return d;
    }
    
    public static void main(String args[]) {
        new wrpEncrypt().show();
    }
    
}
