/*
 * wrpWordCount.java
 *
 * Created on December 29, 2004, 2:17 PM
 */

/**
 *
 * This class shows how to extend the wrpSampler class to a second level.
 *
 * @author  Bill Pringle
 *
 * @see wrpSampler
 * @see wrpCharCount
 * @see wrpEncrypt
 */

public class wrpWordCount extends wrpCharCount {

    /** Creates a new instance of wrpWordCount */
    public wrpWordCount() {
    }

    public void initValues()
    {
        super.initValues(); // call the parent method
        programName = new String("Word Counting Program"); // just set the program name
    }

    /**
     * This method overrides the one from the wrpWordCount class
     * which in turn extends the wrpSampler class
     */
    public String calculateLengths(String s)
    {
        boolean inWord = false;
        int numWords = 0;
        for (int i=0; i < s.length(); i++)
        { // loop through user input looking for words
            char c = s.charAt(i); // get next character
            if (inWord)
            { // we are in the middle of a word - check for end
                if (!Character.isLetter(c))
                {
                    inWord = false;
                }
            }
            else
            { // not in a word - look for start of next
                if (Character.isLetter(c))
                {
                    inWord = true; // turn on word flag
                    numWords++; // increment counter
                }
            }
        }
        String ret = numWords + " words found.";
        return ret;
    }
    
    public static void main(String args[]) {
        new wrpWordCount().show();
    }

}
